#!/usr/bin/env node

const { argv } = require('./config/index.js')
const { COMMAND } = require('./_constants/index.js')
const { makeHistory, copyRepository } = require('./_services/index.js')

switch (argv.command) {
  case COMMAND.history:
    makeHistory(argv)
    break

  case COMMAND.repository:
    copyRepository(argv)
    break

  default:
    console.error(`${argv.command} is not a valid command`)
}
